Subject: Incorrect COLUMN and LINES
From: Jehan <[email-masked]>
To: [email-masked]
Date: Fri, 05 Jul 2002 09:28:20 -0700
Newsgroups: gmane.os.cygwin

Hi

On my Windows XP machine, I set up my shortcut so that the command line 
shows up with 132 columns and 60 lines instead of the standard 80x25. 
But the env COLUMNS and LINES still have the value 80 and 25. If I then 
run a sub bash, the values are ok

[jehan@BRIO jehan] $echo $COLUMNS $LINES
80 25
[jehan@BRIO jehan] $bash
[jehan@BRIO jehan] $echo $COLUMNS $LINES
132 60

Most of the time it's not a problem. But if I have a long command line, 
instead of wraping after 130 characters, it wraps after 80.

Also, if I resize vertically the window, the current application isn't 
aware of the change which can result on weird display (the status line 
in less/man for instance, or the whole display of emacs).

	Jehan

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/